# FiltrablePrimitive Class Reference
[Base data types used in Form, Classes implemented in PHP's extension.]

Basis for Primitives which can be filtered. More...

Inheritance diagram for FiltrablePrimitive:
[legend]

List of all members.

## Public Member Functions

| __construct ($name)
| setDisplayFilter (FilterChain $chain)
| addDisplayFilter (Filtrator $filter)
| dropDisplayFilters ()
| getDisplayValue ()
| setImportFilter (FilterChain $chain)
| addImportFilter (Filtrator $filter)
| dropImportFilters ()
| getImportFilter ()
| getDisplayFilter ()

## Protected Member Functions

| selfFilter ()

## Private Attributes

| $importFilter = null
| $displayFilter = null

## Detailed Description

Basis for Primitives which can be filtered.

Definition at line 18 of file FiltrablePrimitive.class.php.

## Constructor & Destructor Documentation

FiltrablePrimitive::__construct | ( | $ | name | ) |

Reimplemented from BasePrimitive.

Definition at line 23 of file FiltrablePrimitive.class.php.

References BasePrimitive::$name.

## Member Function Documentation

FiltrablePrimitive::addDisplayFilter | ( | Filtrator $ | filter | ) |

Returns:
  FiltrablePrimitive

Definition at line 44 of file FiltrablePrimitive.class.php.

FiltrablePrimitive::addImportFilter | ( | Filtrator $ | filter | ) |

Returns:
  FiltrablePrimitive

Definition at line 86 of file FiltrablePrimitive.class.php.

FiltrablePrimitive::dropDisplayFilters | ( |  | ) |

Returns:
  FiltrablePrimitive

Definition at line 54 of file FiltrablePrimitive.class.php.

FiltrablePrimitive::dropImportFilters | ( |  | ) |

Returns:
  FiltrablePrimitive

Definition at line 96 of file FiltrablePrimitive.class.php.

FiltrablePrimitive::getDisplayFilter | ( |  | ) |

Returns:
  FilterChain

Definition at line 114 of file FiltrablePrimitive.class.php.

FiltrablePrimitive::getDisplayValue | ( |  | ) |

Definition at line 61 of file FiltrablePrimitive.class.php.

References BasePrimitive::$value, and BasePrimitive::getActualValue().

Here is the call graph for this function:

FiltrablePrimitive::getImportFilter | ( |  | ) |

Returns:
  FilterChain

Definition at line 106 of file FiltrablePrimitive.class.php.

FiltrablePrimitive::selfFilter | ( |  | ) | `[protected]`

Returns:
  FiltrablePrimitive

Definition at line 122 of file FiltrablePrimitive.class.php.

References BasePrimitive::$value.

Referenced by PrimitiveString::import(), PrimitiveNumber::import(), PrimitiveBinary::import(), and PrimitiveArray::import().

FiltrablePrimitive::setDisplayFilter | ( | FilterChain $ | chain | ) |

Returns:
  FiltrablePrimitive

Definition at line 34 of file FiltrablePrimitive.class.php.

FiltrablePrimitive::setImportFilter | ( | FilterChain $ | chain | ) |

Returns:
  FiltrablePrimitive

Definition at line 76 of file FiltrablePrimitive.class.php.

## Member Data Documentation

FiltrablePrimitive::$displayFilter = null`[private]`

Definition at line 21 of file FiltrablePrimitive.class.php.

FiltrablePrimitive::$importFilter = null`[private]`

Definition at line 20 of file FiltrablePrimitive.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/FiltrablePrimitive.class.php